Atualizar a descrição do grupo
curl --request PUT \
--url https://{host}/api/{session}/groups/{id}/description \
--header 'Content-Type: application/json' \
--header 'apikey: <api-key>' \
--data '
{
"description": "<string>"
}
'import requests
url = "https://{host}/api/{session}/groups/{id}/description"
payload = { "description": "<string>" }
headers = {
"apikey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {apikey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: '<string>'})
};
fetch('https://{host}/api/{session}/groups/{id}/description', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Descrição do grupo atualizada com sucesso"
}
Grupos
Atualizar Descrição do Grupo
Atualizar a descrição do grupo
PUT
/
api
/
{session}
/
groups
/
{id}
/
description
Atualizar a descrição do grupo
Descrição
Este endpoint permite atualizar a descrição de um grupo.Parâmetros de URL
ID único da sessão WhatsApp
ID do grupo no formato
120363XXXXX@g.usBody
{
"description": "Descrição"
}
Parâmetros do Body
| Propriedade | Tipo | Obrigatório | Descrição |
|---|---|---|---|
description | string | ✅ Sim | Nova descrição do grupo |
Resposta
{
"success": true,
"message": "Descrição do grupo atualizada com sucesso"
}
Códigos de Status
200- Descrição atualizada com sucesso400- Parâmetros inválidos401- Não autorizado403- Sem permissão (apenas admins)404- Grupo não encontrado
Exemplo de Uso
curl -X PUT https://api.wappfy.com.br/api/my-session/groups/120363XXXXX@g.us/description \
-H "Content-Type: application/json" \
-d '{
"description": "Nova descrição do grupo"
}'
const session = 'my-session';
const groupId = '120363XXXXX@g.us';
const response = await fetch(`https://api.wappfy.com.br/api/${session}/groups/${groupId}/description`, {
method: 'PUT',
headers: { 'Content-Type': 'application/json' },
body: JSON.stringify({
description: 'Nova descrição do grupo'
})
});
const data = await response.json();
console.log(data);
import requests
session = 'my-session'
group_id = '120363XXXXX@g.us'
response = requests.put(
f'https://api.wappfy.com.br/api/{session}/groups/{group_id}/description',
json={'description': 'Nova descrição do grupo'}
)
data = response.json()
print(data)
⌘I
